<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# docker

Install and configure the Docker daemon

The version of Docker installed currently is 19.03. This version is supported
by:

- Rancher 2.5.8:
  https://www.suse.com/suse-rancher/support-matrix/all-supported-versions/rancher-v2-5-8/
- Kubernetes 1.14 and later:
  https://github.com/kubernetes/kubernetes/issues/82326#issuecomment-546464495

The `docker.gpg` key was obtained from:
https://download.docker.com/linux/ubuntu/gpg and is identical for
Debian/Ubuntu.

Docker daemon options can be configured through `docker_daemon_options` dictionary representing the json file `/etc/docker/daemon.json`.

It also can install docker-compose when `docker_install_compose` is set to true.

## Example Playbook

```yaml
- hosts: all
  roles:
    - docker

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
